/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ARENA_ATOMICS_SKEL_H__
#define __ARENA_ATOMICS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct arena_atomics {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *arena;
		struct bpf_map *data;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *add;
		struct bpf_program *sub;
		struct bpf_program *and;
		struct bpf_program *or;
		struct bpf_program *xor;
		struct bpf_program *cmpxchg;
		struct bpf_program *xchg;
	} progs;
	struct {
		struct bpf_link *add;
		struct bpf_link *sub;
		struct bpf_link *and;
		struct bpf_link *or;
		struct bpf_link *xor;
		struct bpf_link *cmpxchg;
		struct bpf_link *xchg;
	} links;
	struct arena_atomics__arena {
		__u64 add64_value;
		__u64 add64_result;
		__u32 add32_value;
		__u32 add32_result;
		__u64 add_stack_value_copy;
		__u64 add_stack_result;
		__u64 add_noreturn_value;
		__s64 sub64_value;
		__s64 sub64_result;
		__s32 sub32_value;
		__s32 sub32_result;
		__s64 sub_stack_value_copy;
		__s64 sub_stack_result;
		__s64 sub_noreturn_value;
		__u64 and64_value;
		__u32 and32_value;
		__u32 or32_value;
		__u64 or64_value;
		__u64 xor64_value;
		__u32 xor32_value;
		__u32 cmpxchg32_value;
		__u32 cmpxchg32_result_fail;
		__u32 cmpxchg32_result_succeed;
		__u64 cmpxchg64_value;
		__u64 cmpxchg64_result_fail;
		__u64 cmpxchg64_result_succeed;
		__u64 xchg64_value;
		__u64 xchg64_result;
		__u32 xchg32_value;
		__u32 xchg32_result;
	} *arena;
	struct arena_atomics__data {
		_Bool skip_tests;
	} *data;
	struct arena_atomics__bss {
		__u32 pid;
	} *bss;

#ifdef __cplusplus
	static inline struct arena_atomics *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct arena_atomics *open_and_load();
	static inline int load(struct arena_atomics *skel);
	static inline int attach(struct arena_atomics *skel);
	static inline void detach(struct arena_atomics *skel);
	static inline void destroy(struct arena_atomics *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
arena_atomics__destroy(struct arena_atomics *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
arena_atomics__create_skeleton(struct arena_atomics *obj);

static inline struct arena_atomics *
arena_atomics__open_opts(const struct bpf_object_open_opts *opts)
{
	struct arena_atomics *obj;
	int err;

	obj = (struct arena_atomics *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = arena_atomics__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	arena_atomics__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct arena_atomics *
arena_atomics__open(void)
{
	return arena_atomics__open_opts(NULL);
}

static inline int
arena_atomics__load(struct arena_atomics *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct arena_atomics *
arena_atomics__open_and_load(void)
{
	struct arena_atomics *obj;
	int err;

	obj = arena_atomics__open();
	if (!obj)
		return NULL;
	err = arena_atomics__load(obj);
	if (err) {
		arena_atomics__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
arena_atomics__attach(struct arena_atomics *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
arena_atomics__detach(struct arena_atomics *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *arena_atomics__elf_bytes(size_t *sz);

static inline int
arena_atomics__create_skeleton(struct arena_atomics *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "arena_atomics";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "arena";
	s->maps[0].map = &obj->maps.arena;
	s->maps[0].mmaped = (void **)&obj->arena;

	s->maps[1].name = "arena_at.data";
	s->maps[1].map = &obj->maps.data;
	s->maps[1].mmaped = (void **)&obj->data;

	s->maps[2].name = "arena_at.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "add";
	s->progs[0].prog = &obj->progs.add;
	s->progs[0].link = &obj->links.add;

	s->progs[1].name = "sub";
	s->progs[1].prog = &obj->progs.sub;
	s->progs[1].link = &obj->links.sub;

	s->progs[2].name = "and";
	s->progs[2].prog = &obj->progs.and;
	s->progs[2].link = &obj->links.and;

	s->progs[3].name = "or";
	s->progs[3].prog = &obj->progs.or;
	s->progs[3].link = &obj->links.or;

	s->progs[4].name = "xor";
	s->progs[4].prog = &obj->progs.xor;
	s->progs[4].link = &obj->links.xor;

	s->progs[5].name = "cmpxchg";
	s->progs[5].prog = &obj->progs.cmpxchg;
	s->progs[5].link = &obj->links.cmpxchg;

	s->progs[6].name = "xchg";
	s->progs[6].prog = &obj->progs.xchg;
	s->progs[6].link = &obj->links.xchg;

	s->data = arena_atomics__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *arena_atomics__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x24\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x64\x61\x74\x61\
\0\x2e\x62\x73\x73\0\x2e\x61\x64\x64\x72\x5f\x73\x70\x61\x63\x65\x2e\x31\0\x2e\
\x6d\x61\x70\x73\0\x61\x72\x65\x6e\x61\x5f\x61\x74\x6f\x6d\x69\x63\x73\x2e\x63\
\0\x61\x64\x64\0\x70\x69\x64\0\x61\x64\x64\x36\x34\x5f\x76\x61\x6c\x75\x65\0\
\x61\x64\x64\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x61\x64\x64\x33\x32\x5f\x76\
\x61\x6c\x75\x65\0\x61\x64\x64\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x61\x64\
\x64\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\0\x61\x64\x64\x5f\x73\
\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x5f\x63\x6f\x70\x79\0\x61\x64\x64\x5f\
\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\x73\x75\x62\0\x73\
\x75\x62\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x73\x75\x62\x36\x34\x5f\x72\x65\x73\
\x75\x6c\x74\0\x73\x75\x62\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x73\x75\x62\x33\
\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\x72\
\x65\x73\x75\x6c\x74\0\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\
\x65\x5f\x63\x6f\x70\x79\0\x73\x75\x62\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\
\x76\x61\x6c\x75\x65\0\x61\x6e\x64\0\x61\x6e\x64\x36\x34\x5f\x76\x61\x6c\x75\
\x65\0\x61\x6e\x64\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x6f\x72\0\x6f\x72\x36\x34\
\x5f\x76\x61\x6c\x75\x65\0\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x78\x6f\
\x72\0\x78\x6f\x72\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x78\x6f\x72\x33\x32\x5f\
\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\0\x63\x6d\x70\x78\x63\x68\
\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\
\x72\x65\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\0\x63\x6d\x70\x78\x63\x68\x67\x36\
\x34\x5f\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\0\x63\x6d\x70\
\x78\x63\x68\x67\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\
\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\0\x63\x6d\x70\x78\x63\
\x68\x67\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\0\
\x78\x63\x68\x67\0\x78\x63\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x78\x63\
\x68\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x78\x63\x68\x67\x33\x32\x5f\x76\
\x61\x6c\x75\x65\0\x78\x63\x68\x67\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x73\
\x6b\x69\x70\x5f\x74\x65\x73\x74\x73\0\x61\x72\x65\x6e\x61\0\x2e\x72\x65\x6c\
\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x12\0\x03\0\0\
\0\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\x55\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x59\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x65\0\0\0\
\x11\0\x06\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x72\0\0\0\x11\0\x06\0\x10\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x7e\0\0\0\x11\0\x06\0\x14\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x8b\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x9c\0\0\0\
\x11\0\x06\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb1\0\0\0\x11\0\x06\0\x28\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc4\0\0\0\x12\0\x03\0\x58\x01\0\0\0\0\0\0\x68\x01\
\0\0\0\0\0\0\xc8\0\0\0\x11\0\x06\0\x30\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xd4\0\0\
\0\x11\0\x06\0\x38\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xe1\0\0\0\x11\0\x06\0\x40\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xed\0\0\0\x11\0\x06\0\x44\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\xfa\0\0\0\x11\0\x06\0\x50\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x0b\x01\0\
\0\x11\0\x06\0\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x20\x01\0\0\x11\0\x06\0\x58\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x33\x01\0\0\x12\0\x03\0\xc0\x02\0\0\0\0\0\0\
\x98\0\0\0\0\0\0\0\x37\x01\0\0\x11\0\x06\0\x60\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x43\x01\0\0\x11\0\x06\0\x68\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x4f\x01\0\0\x12\0\
\x03\0\x58\x03\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x52\x01\0\0\x11\0\x06\0\x70\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x5d\x01\0\0\x11\0\x06\0\x6c\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x68\x01\0\0\x12\0\x03\0\xf0\x03\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x6c\x01\
\0\0\x11\0\x06\0\x78\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x78\x01\0\0\x11\0\x06\0\
\x80\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x84\x01\0\0\x12\0\x03\0\x88\x04\0\0\0\0\0\
\0\x50\x01\0\0\0\0\0\0\x8c\x01\0\0\x11\0\x06\0\x90\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x9c\x01\0\0\x11\0\x06\0\x98\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb2\x01\0\0\
\x11\0\x06\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xcb\x01\0\0\x11\0\x06\0\x84\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xdb\x01\0\0\x11\0\x06\0\x88\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\xf1\x01\0\0\x11\0\x06\0\x8c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x0a\
\x02\0\0\x12\0\x03\0\xd8\x05\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x0f\x02\0\0\x11\0\
\x06\0\xa8\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x1c\x02\0\0\x11\0\x06\0\xb0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x2a\x02\0\0\x11\0\x06\0\xb8\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x37\x02\0\0\x11\0\x06\0\xbc\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x45\x02\0\0\
\x11\0\x04\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x50\x02\0\0\x11\0\x07\0\0\0\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\
\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x23\0\0\0\0\0\x7a\x0a\xf8\
\xff\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x12\x01\0\x01\0\0\0\xb7\
\x01\0\0\x02\0\0\0\xb7\x03\0\0\x02\0\0\0\xdb\x32\0\0\x01\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\xb4\x03\0\0\x02\0\0\0\xc3\x32\0\
\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\x63\
\x32\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\
\xb7\x03\0\0\x02\0\0\0\xdb\x3a\xf8\xff\x01\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\x79\xa3\xf8\xff\0\0\0\0\x7b\
\x32\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\
\xdb\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\
\x60\x25\0\0\0\0\0\x7a\x0a\xf8\xff\x01\0\0\0\xb7\x01\0\0\x02\0\0\0\x87\x01\0\0\
\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\xbf\x13\0\
\0\0\0\0\0\xdb\x32\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\
\x01\0\x01\0\0\0\x7b\x32\0\0\0\0\0\0\xb4\x02\0\0\x02\0\0\0\x84\x02\0\0\0\0\0\0\
\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x33\x01\0\x01\0\0\0\xc3\x23\0\0\x01\0\
\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x33\x01\0\x01\0\0\0\x63\x23\0\0\0\
\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\xbf\x13\0\0\
\0\0\0\0\xdb\x3a\xf8\xff\x01\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\x79\xa3\xf8\xff\0\0\0\0\x7b\x32\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\xdb\x12\0\0\0\0\
\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x0b\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\0\0\x18\x02\0\0\0\
\0\0\0\0\0\0\0\x11\0\0\0\xdb\x21\0\0\x50\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xbf\x11\x01\0\x01\0\0\0\xb4\x02\0\0\x11\0\0\0\xc3\x21\0\0\x50\0\0\0\xb4\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\
\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x0b\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\x11\0\0\0\xdb\x21\0\0\x40\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\
\x01\0\x01\0\0\0\xb4\x02\0\0\x11\0\0\0\xc3\x21\0\0\x40\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\
\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x0b\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\
\xdb\x21\0\0\xa0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\
\0\0\xb4\x02\0\0\x11\0\0\0\xc3\x21\0\0\xa0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\
\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x22\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xbf\x11\x01\0\x01\0\0\0\xb7\x02\0\0\x03\0\0\0\xb7\0\0\0\0\0\0\0\xdb\x21\0\
\0\xf1\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\x7b\
\x02\0\0\0\0\0\0\xb7\x02\0\0\x02\0\0\0\xb7\0\0\0\x01\0\0\0\xdb\x21\0\0\xf1\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\0\0\x7b\x01\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\0\0\xb4\x02\0\0\
\x03\0\0\0\xb4\0\0\0\0\0\0\0\xc3\x21\0\0\xf1\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\x63\x02\0\0\0\0\0\0\xb4\x02\0\0\x02\0\0\0\xb4\
\0\0\0\x01\0\0\0\xc3\x21\0\0\xf1\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\
\x11\x01\0\x01\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\
\x77\0\0\0\x20\0\0\0\x5d\x60\x12\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbf\x11\x01\0\x01\0\0\0\xb7\x02\0\0\x02\0\0\0\xdb\x21\0\0\xe1\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\0\0\xb4\x02\0\0\x02\0\0\0\xc3\
\x21\0\0\xe1\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x11\x01\0\x01\0\0\0\
\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\x10\x01\0\0\x10\
\x01\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x10\x01\0\0\x10\x01\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x38\0\0\0\0\0\0\0\x01\0\
\0\0\x05\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\
\0\x07\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xd0\0\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x28\x01\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\x58\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xa0\x01\0\0\0\0\0\0\x01\0\0\
\0\x0d\0\0\0\xc8\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\xf8\x01\0\0\0\0\0\0\x01\0\
\0\0\x0f\0\0\0\x18\x02\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x38\x02\0\0\0\0\0\0\x01\
\0\0\0\x11\0\0\0\x68\x02\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x90\x02\0\0\0\0\0\0\
\x01\0\0\0\x13\0\0\0\xc0\x02\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xf0\x02\0\0\0\0\0\
\0\x01\0\0\0\x15\0\0\0\x20\x03\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x58\x03\0\0\0\0\
\0\0\x01\0\0\0\x04\0\0\0\x88\x03\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\xb8\x03\0\0\0\
\0\0\0\x01\0\0\0\x19\0\0\0\xf0\x03\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x20\x04\0\0\
\0\0\0\0\x01\0\0\0\x1b\0\0\0\x50\x04\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\x88\x04\0\
\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xb8\x04\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\xe8\x04\
\0\0\0\0\0\0\x01\0\0\0\x1f\0\0\0\x20\x05\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\x40\
\x05\0\0\0\0\0\0\x01\0\0\0\x21\0\0\0\x70\x05\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\
\xa8\x05\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\xd8\x05\0\0\0\0\0\0\x01\0\0\0\x04\0\0\
\0\x08\x06\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x30\x06\0\0\0\0\0\0\x01\0\0\0\x26\0\
\0\0\x50\x06\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\x78\x06\0\0\0\0\0\0\x01\0\0\0\x28\
\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x9c\x05\0\0\x9c\x05\0\0\xb3\x08\0\0\0\0\
\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x21\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x0a\0\0\0\0\0\0\0\x01\0\0\x13\x08\0\0\0\x19\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x04\0\0\x04\x20\0\0\0\x33\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x05\0\0\0\
\x40\0\0\0\x42\0\0\0\x07\0\0\0\x80\0\0\0\x4e\0\0\0\x09\0\0\0\xc0\0\0\0\x58\0\0\
\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\x0a\
\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5e\0\0\0\x0c\0\0\0\x62\0\0\0\x01\0\0\
\x0c\x0e\0\0\0\x66\0\0\0\x01\0\0\x0c\x0e\0\0\0\x6a\0\0\0\x01\0\0\x0c\x0e\0\0\0\
\x6e\0\0\0\x01\0\0\x0c\x0e\0\0\0\x71\0\0\0\x01\0\0\x0c\x0e\0\0\0\x75\0\0\0\x01\
\0\0\x0c\x0e\0\0\0\x7d\0\0\0\x01\0\0\x0c\x0e\0\0\0\x82\0\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\x04\x88\0\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\x93\0\0\0\0\0\0\x08\x19\
\0\0\0\x99\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xa6\0\0\0\0\0\0\x0e\x18\0\0\0\
\x01\0\0\0\xaa\0\0\0\0\0\0\x08\x1c\0\0\0\xb0\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\xc3\0\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\xcf\0\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\
\0\0\xdc\0\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\xe8\0\0\0\0\0\0\x0e\x18\0\0\0\x01\
\0\0\0\xf5\0\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\x0a\x01\0\0\0\0\0\x0e\x1b\0\0\0\
\x01\0\0\0\x1b\x01\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\x2e\x01\0\0\0\0\0\x08\x25\
\0\0\0\x34\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x3e\x01\0\0\0\0\0\x0e\x24\0\
\0\0\x01\0\0\0\x4a\x01\0\0\0\0\0\x0e\x24\0\0\0\x01\0\0\0\x57\x01\0\0\0\0\0\x08\
\x02\0\0\0\x5d\x01\0\0\0\0\0\x0e\x28\0\0\0\x01\0\0\0\x69\x01\0\0\0\0\0\x0e\x28\
\0\0\0\x01\0\0\0\x76\x01\0\0\0\0\0\x0e\x24\0\0\0\x01\0\0\0\x8b\x01\0\0\0\0\0\
\x0e\x24\0\0\0\x01\0\0\0\x9c\x01\0\0\0\0\0\x0e\x24\0\0\0\x01\0\0\0\xaf\x01\0\0\
\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\xbb\x01\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\xc7\
\x01\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\xd2\x01\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\
\0\xdd\x01\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\xe9\x01\0\0\0\0\0\x0e\x18\0\0\0\
\x01\0\0\0\xf5\x01\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\x05\x02\0\0\0\0\0\x0e\x18\
\0\0\0\x01\0\0\0\x1b\x02\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\x34\x02\0\0\0\0\0\
\x0e\x1b\0\0\0\x01\0\0\0\x44\x02\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\x5a\x02\0\0\
\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\x73\x02\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\x80\
\x02\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\x8e\x02\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\
\0\x9b\x02\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\x83\x08\0\0\x01\0\0\x0f\x01\0\0\0\
\x17\0\0\0\0\0\0\0\x01\0\0\0\x89\x08\0\0\x01\0\0\x0f\x04\0\0\0\x1a\0\0\0\0\0\0\
\0\x04\0\0\0\x8e\x08\0\0\x1e\0\0\x0f\xc0\0\0\0\x1d\0\0\0\0\0\0\0\x08\0\0\0\x1e\
\0\0\0\x08\0\0\0\x08\0\0\0\x1f\0\0\0\x10\0\0\0\x04\0\0\0\x20\0\0\0\x14\0\0\0\
\x04\0\0\0\x21\0\0\0\x18\0\0\0\x08\0\0\0\x22\0\0\0\x20\0\0\0\x08\0\0\0\x23\0\0\
\0\x28\0\0\0\x08\0\0\0\x26\0\0\0\x30\0\0\0\x08\0\0\0\x27\0\0\0\x38\0\0\0\x08\0\
\0\0\x29\0\0\0\x40\0\0\0\x04\0\0\0\x2a\0\0\0\x44\0\0\0\x04\0\0\0\x2b\0\0\0\x48\
\0\0\0\x08\0\0\0\x2c\0\0\0\x50\0\0\0\x08\0\0\0\x2d\0\0\0\x58\0\0\0\x08\0\0\0\
\x2e\0\0\0\x60\0\0\0\x08\0\0\0\x2f\0\0\0\x68\0\0\0\x04\0\0\0\x30\0\0\0\x6c\0\0\
\0\x04\0\0\0\x31\0\0\0\x70\0\0\0\x08\0\0\0\x32\0\0\0\x78\0\0\0\x08\0\0\0\x33\0\
\0\0\x80\0\0\0\x04\0\0\0\x34\0\0\0\x84\0\0\0\x04\0\0\0\x35\0\0\0\x88\0\0\0\x04\
\0\0\0\x36\0\0\0\x8c\0\0\0\x04\0\0\0\x37\0\0\0\x90\0\0\0\x08\0\0\0\x38\0\0\0\
\x98\0\0\0\x08\0\0\0\x39\0\0\0\xa0\0\0\0\x08\0\0\0\x3a\0\0\0\xa8\0\0\0\x08\0\0\
\0\x3b\0\0\0\xb0\0\0\0\x08\0\0\0\x3c\0\0\0\xb8\0\0\0\x04\0\0\0\x3d\0\0\0\xbc\0\
\0\0\x04\0\0\0\x9c\x08\0\0\x01\0\0\x0f\x20\0\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x5f\x5f\x75\x6e\x69\x71\x75\x65\x5f\x76\x61\x6c\x75\x65\x5f\x5f\
\x43\x4f\x55\x4e\x54\x45\x52\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\
\x6c\x61\x67\x73\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x61\x70\
\x5f\x65\x78\x74\x72\x61\0\x61\x72\x65\x6e\x61\0\x63\x74\x78\0\x61\x64\x64\0\
\x73\x75\x62\0\x61\x6e\x64\0\x6f\x72\0\x78\x6f\x72\0\x63\x6d\x70\x78\x63\x68\
\x67\0\x78\x63\x68\x67\0\x5f\x42\x6f\x6f\x6c\0\x73\x6b\x69\x70\x5f\x74\x65\x73\
\x74\x73\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x70\x69\x64\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x61\x64\x64\x36\x34\x5f\x76\x61\x6c\x75\
\x65\0\x61\x64\x64\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x61\x64\x64\x33\x32\
\x5f\x76\x61\x6c\x75\x65\0\x61\x64\x64\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\
\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x5f\x63\x6f\x70\
\x79\0\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\0\x61\
\x64\x64\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\x5f\x5f\
\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x75\x62\x36\x34\x5f\
\x76\x61\x6c\x75\x65\0\x73\x75\x62\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x5f\
\x5f\x73\x33\x32\0\x73\x75\x62\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x73\x75\x62\
\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\
\x76\x61\x6c\x75\x65\x5f\x63\x6f\x70\x79\0\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\
\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x75\x62\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\
\x5f\x76\x61\x6c\x75\x65\0\x61\x6e\x64\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x61\
\x6e\x64\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\
\x65\0\x6f\x72\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x78\x6f\x72\x36\x34\x5f\x76\
\x61\x6c\x75\x65\0\x78\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\
\x78\x63\x68\x67\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\
\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\0\x63\x6d\x70\x78\x63\
\x68\x67\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\0\
\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\
\x63\x68\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\0\x63\x6d\
\x70\x78\x63\x68\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\
\x65\x65\x64\0\x78\x63\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x78\x63\x68\
\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x78\x63\x68\x67\x33\x32\x5f\x76\x61\
\x6c\x75\x65\0\x78\x63\x68\x67\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x33\x35\x2e\
\x34\x38\x34\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x33\x35\x2e\x34\x38\x34\x2e\x65\x6c\x39\x69\x76\x2e\x61\
\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x61\x72\x65\x6e\x61\x5f\x61\x74\x6f\x6d\x69\x63\x73\x2e\x63\0\x09\
\x69\x66\x20\x28\x70\x69\x64\x20\x21\x3d\x20\x28\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\
\x20\x3e\x3e\x20\x33\x32\x29\x29\0\x09\x5f\x5f\x75\x36\x34\x20\x61\x64\x64\x5f\
\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x20\x3d\x20\x31\x3b\0\x09\x61\x64\
\x64\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\
\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x61\x64\x64\
\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x61\x64\x64\x33\x32\
\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\
\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x61\x64\x64\x33\x32\x5f\
\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x61\x64\x64\x5f\x73\x74\x61\x63\
\x6b\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\
\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x61\x64\x64\x5f\x73\
\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x61\x64\x64\
\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x5f\x63\x6f\x70\x79\x20\x3d\
\x20\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x3b\0\x09\x5f\
\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\
\x28\x26\x61\x64\x64\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\
\x65\x2c\x20\x32\x29\x3b\0\x7d\0\x09\x5f\x5f\x75\x36\x34\x20\x73\x75\x62\x5f\
\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x20\x3d\x20\x31\x3b\0\x09\x73\x75\
\x62\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\
\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x73\x75\x62\x28\x26\x73\x75\x62\
\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x73\x75\x62\x33\x32\
\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\
\x74\x63\x68\x5f\x61\x6e\x64\x5f\x73\x75\x62\x28\x26\x73\x75\x62\x33\x32\x5f\
\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x73\x75\x62\x5f\x73\x74\x61\x63\
\x6b\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\
\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x73\x75\x62\x28\x26\x73\x75\x62\x5f\x73\
\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x73\x75\x62\
\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x5f\x63\x6f\x70\x79\x20\x3d\
\x20\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x3b\0\x09\x5f\
\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x73\x75\x62\
\x28\x26\x73\x75\x62\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\
\x65\x2c\x20\x32\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\
\x5f\x61\x6e\x64\x5f\x61\x6e\x64\x28\x26\x61\x6e\x64\x36\x34\x5f\x76\x61\x6c\
\x75\x65\x2c\x20\x30\x78\x30\x31\x31\x75\x6c\x6c\x20\x3c\x3c\x20\x33\x32\x29\
\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\
\x61\x6e\x64\x28\x26\x61\x6e\x64\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\
\x78\x30\x31\x31\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\
\x5f\x61\x6e\x64\x5f\x6f\x72\x28\x26\x6f\x72\x36\x34\x5f\x76\x61\x6c\x75\x65\
\x2c\x20\x30\x78\x30\x31\x31\x75\x6c\x6c\x20\x3c\x3c\x20\x33\x32\x29\x3b\0\x09\
\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x6f\x72\
\x28\x26\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\x30\x31\x31\
\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\
\x5f\x78\x6f\x72\x28\x26\x78\x6f\x72\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\
\x30\x78\x30\x31\x31\x75\x6c\x6c\x20\x3c\x3c\x20\x33\x32\x29\x3b\0\x09\x5f\x5f\
\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x78\x6f\x72\x28\
\x26\x78\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\x30\x31\x31\
\x29\x3b\0\x09\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\
\x5f\x66\x61\x69\x6c\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x76\x61\x6c\x5f\
\x63\x6f\x6d\x70\x61\x72\x65\x5f\x61\x6e\x64\x5f\x73\x77\x61\x70\x28\x26\x63\
\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x2c\x20\
\x33\x29\x3b\0\x09\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\
\x74\x5f\x73\x75\x63\x63\x65\x65\x64\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\
\x76\x61\x6c\x5f\x63\x6f\x6d\x70\x61\x72\x65\x5f\x61\x6e\x64\x5f\x73\x77\x61\
\x70\x28\x26\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\
\x20\x31\x2c\x20\x32\x29\x3b\0\x09\x63\x6d\x70\x78\x63\x68\x67\x33\x32\x5f\x72\
\x65\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\
\x5f\x76\x61\x6c\x5f\x63\x6f\x6d\x70\x61\x72\x65\x5f\x61\x6e\x64\x5f\x73\x77\
\x61\x70\x28\x26\x63\x6d\x70\x78\x63\x68\x67\x33\x32\x5f\x76\x61\x6c\x75\x65\
\x2c\x20\x30\x2c\x20\x33\x29\x3b\0\x09\x63\x6d\x70\x78\x63\x68\x67\x33\x32\x5f\
\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\x20\x3d\x20\x5f\x5f\
\x73\x79\x6e\x63\x5f\x76\x61\x6c\x5f\x63\x6f\x6d\x70\x61\x72\x65\x5f\x61\x6e\
\x64\x5f\x73\x77\x61\x70\x28\x26\x63\x6d\x70\x78\x63\x68\x67\x33\x32\x5f\x76\
\x61\x6c\x75\x65\x2c\x20\x31\x2c\x20\x32\x29\x3b\0\x09\x78\x63\x68\x67\x36\x34\
\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x6c\x6f\
\x63\x6b\x5f\x74\x65\x73\x74\x5f\x61\x6e\x64\x5f\x73\x65\x74\x28\x26\x78\x63\
\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\x76\x61\x6c\x36\x34\x29\x3b\0\
\x09\x78\x63\x68\x67\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\
\x73\x79\x6e\x63\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x5f\x61\x6e\x64\x5f\
\x73\x65\x74\x28\x26\x78\x63\x68\x67\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\
\x76\x61\x6c\x33\x32\x29\x3b\0\x2e\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x61\
\x64\x64\x72\x5f\x73\x70\x61\x63\x65\x2e\x31\0\x2e\x6d\x61\x70\x73\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\x9f\xeb\x01\0\x20\
\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\0\xdc\x04\0\0\x20\x05\0\0\0\0\0\0\x08\0\0\0\
\xa2\x08\0\0\x07\0\0\0\0\0\0\0\x0f\0\0\0\x58\x01\0\0\x10\0\0\0\xc0\x02\0\0\x11\
\0\0\0\x58\x03\0\0\x12\0\0\0\xf0\x03\0\0\x13\0\0\0\x88\x04\0\0\x14\0\0\0\xd8\
\x05\0\0\x15\0\0\0\x10\0\0\0\xa2\x08\0\0\x4d\0\0\0\0\0\0\0\xa9\x02\0\0\x30\x03\
\0\0\x06\xb8\0\0\x18\0\0\0\xa9\x02\0\0\x30\x03\0\0\x0e\xb8\0\0\x20\0\0\0\xa9\
\x02\0\0\x30\x03\0\0\x29\xb8\0\0\x28\0\0\0\xa9\x02\0\0\x30\x03\0\0\x06\xb8\0\0\
\x30\0\0\0\xa9\x02\0\0\x60\x03\0\0\x08\xc4\0\0\x38\0\0\0\xa9\x02\0\0\x7c\x03\0\
\0\x11\xcc\0\0\x68\0\0\0\xa9\x02\0\0\x7c\x03\0\0\x0f\xcc\0\0\x88\0\0\0\xa9\x02\
\0\0\xb3\x03\0\0\x11\xd0\0\0\xb0\0\0\0\xa9\x02\0\0\xb3\x03\0\0\x0f\xd0\0\0\xd0\
\0\0\0\xa9\x02\0\0\xea\x03\0\0\x13\xd4\0\0\xe8\0\0\0\xa9\x02\0\0\xea\x03\0\0\
\x15\xd4\0\0\xf8\0\0\0\xa9\x02\0\0\xea\x03\0\0\x13\xd4\0\0\0\x01\0\0\xa9\x02\0\
\0\x29\x04\0\0\x17\xd8\0\0\x18\x01\0\0\xa9\x02\0\0\x29\x04\0\0\x19\xd8\0\0\x20\
\x01\0\0\xa9\x02\0\0\x29\x04\0\0\x17\xd8\0\0\x28\x01\0\0\xa9\x02\0\0\x52\x04\0\
\0\x02\xdc\0\0\x48\x01\0\0\xa9\x02\0\0\x81\x04\0\0\x01\xec\0\0\x58\x01\0\0\xa9\
\x02\0\0\x30\x03\0\0\x06\x20\x01\0\x70\x01\0\0\xa9\x02\0\0\x30\x03\0\0\x0e\x20\
\x01\0\x78\x01\0\0\xa9\x02\0\0\x30\x03\0\0\x29\x20\x01\0\x80\x01\0\0\xa9\x02\0\
\0\x30\x03\0\0\x06\x20\x01\0\x88\x01\0\0\xa9\x02\0\0\x83\x04\0\0\x08\x2c\x01\0\
\x98\x01\0\0\xa9\x02\0\0\x9f\x04\0\0\x11\x34\x01\0\xc8\x01\0\0\xa9\x02\0\0\x9f\
\x04\0\0\x0f\x34\x01\0\xf0\x01\0\0\xa9\x02\0\0\xd6\x04\0\0\x11\x38\x01\0\x18\
\x02\0\0\xa9\x02\0\0\xd6\x04\0\0\x0f\x38\x01\0\x38\x02\0\0\xa9\x02\0\0\x0d\x05\
\0\0\x13\x3c\x01\0\x50\x02\0\0\xa9\x02\0\0\x0d\x05\0\0\x15\x3c\x01\0\x60\x02\0\
\0\xa9\x02\0\0\x0d\x05\0\0\x13\x3c\x01\0\x68\x02\0\0\xa9\x02\0\0\x4c\x05\0\0\
\x17\x40\x01\0\x80\x02\0\0\xa9\x02\0\0\x4c\x05\0\0\x19\x40\x01\0\x88\x02\0\0\
\xa9\x02\0\0\x4c\x05\0\0\x17\x40\x01\0\x90\x02\0\0\xa9\x02\0\0\x75\x05\0\0\x02\
\x44\x01\0\xb0\x02\0\0\xa9\x02\0\0\x81\x04\0\0\x01\x54\x01\0\xc0\x02\0\0\xa9\
\x02\0\0\x30\x03\0\0\x06\x74\x01\0\xd8\x02\0\0\xa9\x02\0\0\x30\x03\0\0\x0e\x74\
\x01\0\xe0\x02\0\0\xa9\x02\0\0\x30\x03\0\0\x29\x74\x01\0\xe8\x02\0\0\xa9\x02\0\
\0\x30\x03\0\0\x06\x74\x01\0\xf0\x02\0\0\xa9\x02\0\0\xa4\x05\0\0\x02\x84\x01\0\
\x20\x03\0\0\xa9\x02\0\0\xd9\x05\0\0\x02\x88\x01\0\x48\x03\0\0\xa9\x02\0\0\x81\
\x04\0\0\x01\x98\x01\0\x58\x03\0\0\xa9\x02\0\0\x30\x03\0\0\x06\xb8\x01\0\x70\
\x03\0\0\xa9\x02\0\0\x30\x03\0\0\x0e\xb8\x01\0\x78\x03\0\0\xa9\x02\0\0\x30\x03\
\0\0\x29\xb8\x01\0\x80\x03\0\0\xa9\x02\0\0\x30\x03\0\0\x06\xb8\x01\0\x88\x03\0\
\0\xa9\x02\0\0\x05\x06\0\0\x02\xc4\x01\0\xb8\x03\0\0\xa9\x02\0\0\x38\x06\0\0\
\x02\xc8\x01\0\xe0\x03\0\0\xa9\x02\0\0\x81\x04\0\0\x01\xd8\x01\0\xf0\x03\0\0\
\xa9\x02\0\0\x30\x03\0\0\x06\xf8\x01\0\x08\x04\0\0\xa9\x02\0\0\x30\x03\0\0\x0e\
\xf8\x01\0\x10\x04\0\0\xa9\x02\0\0\x30\x03\0\0\x29\xf8\x01\0\x18\x04\0\0\xa9\
\x02\0\0\x30\x03\0\0\x06\xf8\x01\0\x20\x04\0\0\xa9\x02\0\0\x62\x06\0\0\x02\x04\
\x02\0\x50\x04\0\0\xa9\x02\0\0\x97\x06\0\0\x02\x08\x02\0\x78\x04\0\0\xa9\x02\0\
\0\x81\x04\0\0\x01\x18\x02\0\x88\x04\0\0\xa9\x02\0\0\x30\x03\0\0\x06\x48\x02\0\
\xa0\x04\0\0\xa9\x02\0\0\x30\x03\0\0\x0e\x48\x02\0\xa8\x04\0\0\xa9\x02\0\0\x30\
\x03\0\0\x29\x48\x02\0\xb0\x04\0\0\xa9\x02\0\0\x30\x03\0\0\x06\x48\x02\0\xb8\
\x04\0\0\xa9\x02\0\0\xc3\x06\0\0\x1a\x54\x02\0\xe8\x04\0\0\xa9\x02\0\0\xc3\x06\
\0\0\x18\x54\x02\0\x10\x05\0\0\xa9\x02\0\0\x11\x07\0\0\x1d\x58\x02\0\x20\x05\0\
\0\xa9\x02\0\0\x11\x07\0\0\x1b\x58\x02\0\x40\x05\0\0\xa9\x02\0\0\x62\x07\0\0\
\x1a\x60\x02\0\x70\x05\0\0\xa9\x02\0\0\x62\x07\0\0\x18\x60\x02\0\x98\x05\0\0\
\xa9\x02\0\0\xb0\x07\0\0\x1d\x64\x02\0\xa8\x05\0\0\xa9\x02\0\0\xb0\x07\0\0\x1b\
\x64\x02\0\xc8\x05\0\0\xa9\x02\0\0\x81\x04\0\0\x01\x74\x02\0\xd8\x05\0\0\xa9\
\x02\0\0\x30\x03\0\0\x06\x9c\x02\0\xf0\x05\0\0\xa9\x02\0\0\x30\x03\0\0\x0e\x9c\
\x02\0\xf8\x05\0\0\xa9\x02\0\0\x30\x03\0\0\x29\x9c\x02\0\0\x06\0\0\xa9\x02\0\0\
\x30\x03\0\0\x06\x9c\x02\0\x08\x06\0\0\xa9\x02\0\0\x01\x08\0\0\x12\xb4\x02\0\
\x30\x06\0\0\xa9\x02\0\0\x01\x08\0\0\x10\xb4\x02\0\x50\x06\0\0\xa9\x02\0\0\x42\
\x08\0\0\x12\xb8\x02\0\x78\x06\0\0\xa9\x02\0\0\x42\x08\0\0\x10\xb8\x02\0\x98\
\x06\0\0\xa9\x02\0\0\x81\x04\0\0\x01\xc8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x79\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x02\0\0\0\0\0\0\
\x08\x04\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x06\0\0\0\0\0\0\xa8\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0d\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x08\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x74\x0d\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x78\x0d\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\
\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x56\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x0e\0\0\0\0\
\0\0\x50\x02\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x6b\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x10\0\0\0\0\0\0\
\x67\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x1f\0\0\0\0\0\0\x40\x05\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct arena_atomics *arena_atomics::open(const struct bpf_object_open_opts *opts) { return arena_atomics__open_opts(opts); }
struct arena_atomics *arena_atomics::open_and_load() { return arena_atomics__open_and_load(); }
int arena_atomics::load(struct arena_atomics *skel) { return arena_atomics__load(skel); }
int arena_atomics::attach(struct arena_atomics *skel) { return arena_atomics__attach(skel); }
void arena_atomics::detach(struct arena_atomics *skel) { arena_atomics__detach(skel); }
void arena_atomics::destroy(struct arena_atomics *skel) { arena_atomics__destroy(skel); }
const void *arena_atomics::elf_bytes(size_t *sz) { return arena_atomics__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
arena_atomics__assert(struct arena_atomics *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->arena->add64_value) == 8, "unexpected size of 'add64_value'");
	_Static_assert(sizeof(s->arena->add64_result) == 8, "unexpected size of 'add64_result'");
	_Static_assert(sizeof(s->arena->add32_value) == 4, "unexpected size of 'add32_value'");
	_Static_assert(sizeof(s->arena->add32_result) == 4, "unexpected size of 'add32_result'");
	_Static_assert(sizeof(s->arena->add_stack_value_copy) == 8, "unexpected size of 'add_stack_value_copy'");
	_Static_assert(sizeof(s->arena->add_stack_result) == 8, "unexpected size of 'add_stack_result'");
	_Static_assert(sizeof(s->arena->add_noreturn_value) == 8, "unexpected size of 'add_noreturn_value'");
	_Static_assert(sizeof(s->arena->sub64_value) == 8, "unexpected size of 'sub64_value'");
	_Static_assert(sizeof(s->arena->sub64_result) == 8, "unexpected size of 'sub64_result'");
	_Static_assert(sizeof(s->arena->sub32_value) == 4, "unexpected size of 'sub32_value'");
	_Static_assert(sizeof(s->arena->sub32_result) == 4, "unexpected size of 'sub32_result'");
	_Static_assert(sizeof(s->arena->sub_stack_value_copy) == 8, "unexpected size of 'sub_stack_value_copy'");
	_Static_assert(sizeof(s->arena->sub_stack_result) == 8, "unexpected size of 'sub_stack_result'");
	_Static_assert(sizeof(s->arena->sub_noreturn_value) == 8, "unexpected size of 'sub_noreturn_value'");
	_Static_assert(sizeof(s->arena->and64_value) == 8, "unexpected size of 'and64_value'");
	_Static_assert(sizeof(s->arena->and32_value) == 4, "unexpected size of 'and32_value'");
	_Static_assert(sizeof(s->arena->or32_value) == 4, "unexpected size of 'or32_value'");
	_Static_assert(sizeof(s->arena->or64_value) == 8, "unexpected size of 'or64_value'");
	_Static_assert(sizeof(s->arena->xor64_value) == 8, "unexpected size of 'xor64_value'");
	_Static_assert(sizeof(s->arena->xor32_value) == 4, "unexpected size of 'xor32_value'");
	_Static_assert(sizeof(s->arena->cmpxchg32_value) == 4, "unexpected size of 'cmpxchg32_value'");
	_Static_assert(sizeof(s->arena->cmpxchg32_result_fail) == 4, "unexpected size of 'cmpxchg32_result_fail'");
	_Static_assert(sizeof(s->arena->cmpxchg32_result_succeed) == 4, "unexpected size of 'cmpxchg32_result_succeed'");
	_Static_assert(sizeof(s->arena->cmpxchg64_value) == 8, "unexpected size of 'cmpxchg64_value'");
	_Static_assert(sizeof(s->arena->cmpxchg64_result_fail) == 8, "unexpected size of 'cmpxchg64_result_fail'");
	_Static_assert(sizeof(s->arena->cmpxchg64_result_succeed) == 8, "unexpected size of 'cmpxchg64_result_succeed'");
	_Static_assert(sizeof(s->arena->xchg64_value) == 8, "unexpected size of 'xchg64_value'");
	_Static_assert(sizeof(s->arena->xchg64_result) == 8, "unexpected size of 'xchg64_result'");
	_Static_assert(sizeof(s->arena->xchg32_value) == 4, "unexpected size of 'xchg32_value'");
	_Static_assert(sizeof(s->arena->xchg32_result) == 4, "unexpected size of 'xchg32_result'");
	_Static_assert(sizeof(s->data->skip_tests) == 1, "unexpected size of 'skip_tests'");
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ARENA_ATOMICS_SKEL_H__ */
